package cn.com.poc.law.entity.legislativeDocument;

import cn.com.poc.law.jsonSerializer.JacksonStringNotNullSerializer;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

/**
 * @Author：Roger Wu
 * @name：ClientInfo
 * @Date：2025-08-12 18:26
 */
public class ClientInfo {

    @JsonSerialize(using= JacksonStringNotNullSerializer.class)
    String name;
    @JsonSerialize(using= JacksonStringNotNullSerializer.class)
    String clientType;
    @JsonSerialize(using= JacksonStringNotNullSerializer.class)
    String industry;
    @JsonSerialize(using= JacksonStringNotNullSerializer.class)
    String address;
    @JsonSerialize(using= JacksonStringNotNullSerializer.class)
    String countryRegion;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getClientType() {
        return clientType;
    }

    public void setClientType(String clientType) {
        this.clientType = clientType;
    }

    public String getIndustry() {
        return industry;
    }

    public void setIndustry(String industry) {
        this.industry = industry;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getCountryRegion() {
        return countryRegion;
    }

    public void setCountryRegion(String countryRegion) {
        this.countryRegion = countryRegion;
    }
}
